Package: groovy.org.codenarc.rule.size

## [Groovy] Class GMetricsSourceCodeAdapter

- groovy.org.codenarc.rule.size.GMetricsSourceCodeAdapter

- All Implemented Interfaces and Traits:
    org.gmetrics.source.SourceCode

      class GMetricsSourceCodeAdapter

  Adapter that adapts from a GMetrics SourceCode object to a CodeNarc SourceCode object.

  Authors:
    Chris Mair

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GMetricsSourceCodeAdapter (SourceCode sourceCode)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.codehaus.groovy.ast.ModuleNode` | `getAst()`
    `` | `int` | `getLineNumberForCharacterIndex(int charIndex)`
    `` | `List` | `getLines()`
    `` | `String` | `getName()`
    `` | `String` | `getPath()`
    `` | `String` | `getText()`
    `` | `boolean` | `isValid()`
    `` | `String` | `line(int lineNumber)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GMetricsSourceCodeAdapter(SourceCode sourceCode)

  - ### Method Detail

    - #### org.codehaus.groovy.ast.ModuleNode getAst()

    - #### int getLineNumberForCharacterIndex(int charIndex)

    - #### List getLines()

    - #### String getName()

    - #### String getPath()

    - #### String getText()

    - #### boolean isValid()

    - #### String line(int lineNumber)